Subject: bug#36733: 27.0.50; Eshell taking long time to enter directory after TAB completion

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Jul 2019 10:16:11 +0300

> From: Jean Louis <[email-masked]>
> Date: Fri, 19 Jul 2019 23:21:28 +0200
> 
> 
> I have observed that if I write in Eshell:
> 
> $ cd Documents
> 
> That it enters the directory quickly.
> 
> But if I write:
> 
> $ cd Docum TAB
> 
> it expands into
> 
> $ cd Documents/
> 
> then when I press ENTER it is taking sometimes 1 second or few seconds
> just to enter the directory.
> 
> This also happens if inside of directory there is just one file. 

Doesn't happen here.  I suggest to start a CPU profiler, perform this
many times, then show the profile, completely expanded.  For best
results, load em-dirs.el as an uncompiled file, before doing this
experiment.